import React from 'react';
declare const Card: import("framer-motion").CustomDomComponent<{
    children?: React.ReactNode;
    color?: import("@mui/types").OverridableStringUnion<import("@mui/joy").ColorPaletteProp, import("@mui/joy").CardPropsColorOverrides> | undefined;
    invertedColors?: boolean | undefined;
    orientation?: "horizontal" | "vertical" | undefined;
    size?: import("@mui/types").OverridableStringUnion<"sm" | "md" | "lg", import("@mui/joy").CardPropsSizeOverrides> | undefined;
    sx?: import("@mui/joy/styles/types").SxProps | undefined;
    variant?: import("@mui/types").OverridableStringUnion<import("@mui/joy").VariantProp, import("@mui/joy").CardPropsVariantOverrides> | undefined;
} & import("@mui/joy").CardSlotsAndSlotProps & Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React.RefObject<HTMLDivElement> | null | undefined;
}, "children" | "color" | "variant" | "sx" | "size" | "invertedColors" | "orientation" | keyof import("@mui/joy").CardSlotsAndSlotProps>>;
export { Card };
declare const CardContent: import("framer-motion").CustomDomComponent<{
    children?: React.ReactNode;
    orientation?: "horizontal" | "vertical" | undefined;
    sx?: import("@mui/joy/styles/types").SxProps | undefined;
} & import("@mui/joy").CardContentSlotsAndSlotProps & Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React.RefObject<HTMLDivElement> | null | undefined;
}, "children" | "sx" | "orientation" | keyof import("@mui/joy").CardContentSlotsAndSlotProps>>;
export { CardContent };
declare const CardCover: import("framer-motion").CustomDomComponent<{
    children?: React.ReactNode;
    sx?: import("@mui/joy/styles/types").SxProps | undefined;
} & import("@mui/joy").CardCoverSlotsAndSlotProps & Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React.RefObject<HTMLDivElement> | null | undefined;
}, "children" | "sx" | keyof import("@mui/joy").CardCoverSlotsAndSlotProps>>;
export { CardCover };
declare const CardActions: import("framer-motion").CustomDomComponent<{
    children?: React.ReactNode;
    buttonFlex?: string | number | undefined;
    orientation?: "horizontal" | "vertical" | "horizontal-reverse" | undefined;
    sx?: import("@mui/joy/styles/types").SxProps | undefined;
} & import("@mui/joy").CardActionsSlotsAndSlotProps & Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React.RefObject<HTMLDivElement> | null | undefined;
}, "children" | "sx" | "orientation" | "buttonFlex" | keyof import("@mui/joy").CardActionsSlotsAndSlotProps>>;
export { CardActions };
declare const CardOverflow: import("framer-motion").CustomDomComponent<{
    color?: import("@mui/types").OverridableStringUnion<import("@mui/joy").ColorPaletteProp, import("@mui/joy").CardOverflowPropsColorOverrides> | undefined;
    children?: React.ReactNode;
    sx?: import("@mui/joy/styles/types").SxProps | undefined;
    variant?: import("@mui/types").OverridableStringUnion<import("@mui/joy").VariantProp, import("@mui/joy").CardOverflowPropsVariantOverrides> | undefined;
} & import("@mui/joy").CardOverflowSlotsAndSlotProps & Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React.RefObject<HTMLDivElement> | null | undefined;
}, "children" | "color" | "variant" | "sx" | keyof import("@mui/joy").CardOverflowSlotsAndSlotProps>>;
export { CardOverflow };
